Needless Patchouli Manufacture
    Have ideas to improve npm?Join in the discussion! »

    exence

    1.0.1 • Public • Published

    Exence

    Build Status Issue Stats Issue Stats npm version

    Exjs > An All-in-One stack of essential tools and features for HTML 4.1+/CSS 2+/JS ES6+ coding. > That allows you to harness the power of jQuery, Prototype, ThreeJS, Underscore and more in one single place.


    Prerequisites

    In order to use this framework, you would need the following:

    • Git which you can get here
    • NPM + Node.js
    • A fairly good understanding of HTML 4.1+/CSS 2+ and JavaScript ES6+.

    Install

    Using NPM

    $ npm install exence --save

    Using Git

    $ git clone https://github.com/Berkmann18/Exence.git
    

    How to use

    Copy the repository from here

    Installation

    Online usage

    <script src="https://berkmann18.github.com/rsc/Exence/essence.js"></script>

    Local usage

    <script src="path/to/essence.js"></script>

    Or alternatively, if you added Essence as Node module, you could simply have in your main script file or in <script>...</script>:

    import * as essence from './essence';

    Build and runs

    Build

    $ npm run build

    Run

    $ npm start

    Test

    $ npm test

    Contributing

    If you want to contribute (I welcome any contributions), please read CONTRIBUTING.

    Changes

    Have a look at the CHANGELOG.

    License

    MIT license; see LICENSE.

    (c) 2016 by Maximilian Berkmann

    Install

    npm i exence

    DownloadsWeekly Downloads

    2

    Version

    1.0.1

    License

    MIT

    Last publish

    Collaborators

    • avatar